/*******************************************************************************
 * FoxEmitterSpawnableSimulated generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxEmitterSpawnableSimulated extends EmitterSpawnable
    hidecategories(Navigation);

var repnotify bool bIsBloodEffect;

replication
{
    // Pos:0x000
    if(bNetInitial)
        bIsBloodEffect
}

simulated event ReplicatedEvent(name VarName)
{
    // End:0xD1
    if((((VarName == 'bIsBloodEffect') || VarName == 'ParticleTemplate') && bIsBloodEffect) && class'FoxPC'.static.ShouldDisableBloodForLocalPlayer())
    {
        // End:0xB0
        if(ParticleSystemComponent != none)
        {
            ParticleSystemComponent.DeactivateSystem();
            ParticleSystemComponent.KillParticlesForced();
        }
        ParticleTemplate = none;
        super.ReplicatedEvent('ParticleTemplate');
    }
    // End:0xE4
    else
    {
        super.ReplicatedEvent(VarName);
    }
    //return;    
}

simulated event SetTemplate(ParticleSystem NewTemplate, optional bool bDestroyOnFinish)
{
    super.SetTemplate(NewTemplate, bDestroyOnFinish);
    ParticleTemplate = NewTemplate;
    // End:0x90
    if(ParticleSystemComponent != none)
    {
        // End:0x90
        if(bDestroyOnSystemFinish && Role == ROLE_Authority)
        {
            SetTimer(ParticleSystemComponent.GetMaxLifespan(), false, 'OnParticleSystemFinished');
        }
    }
    //return;    
}

defaultproperties
{
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxEmitterSpawnableSimulated.ParticleSystemComponent0'
    ParticleSystemComponent=ParticleSystemComponent0
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxEmitterSpawnableSimulated.ParticleSystemComponent0'
    Components(0)=ParticleSystemComponent0
    RemoteRole=ENetRole.ROLE_SimulatedProxy
    bNetTemporary=false
    bNetInitialRotation=true
    NetUpdateFrequency=1.0
}